Subject: Re: bug#17073: 24.3.50; file-symlink-p doesn't return t as described in the doc

From: Juanma Barranquero <[email-masked]>
Date: Mon, 24 Mar 2014 01:25:36 +0100

Perhaps it's me, but I don't find the doc for this function (in the
elisp reference) particularly clear

 -- Function: file-symlink-p filename
     If the file FILENAME is a symbolic link, the `file-symlink-p'
     function returns the (non-recursive) link target as a string.

Here it agrees with your interpretation, so at least that is clear.

     (Determining the file name that the link points to from the target
     is nontrivial.)  First, this function recursively follows symbolic
     links at all levels of parent directories.

IIUC, it's saying (above) that it does not follow symbolic links to
files recursively. But (below) that it does follow recursively
symbolic links to directories, until it finds a file (or a symbolic
link to a file). Is that?

   J